diff --git a/changelog b/changelog
index 7a0eb59..ebe6866 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20140520 tpd src/axiom-website/patches.html 20140520.02.tpd.patch
+20140520 tpd src/axiom-website/documentation.html
 20140520 tpd src/axiom-website/patches.html 20140520.01.tpd.patch
 20140520 tpd books/bookvolbib.pamphlet 
 20140516 tpd src/axiom-website/patches.html 20140516.01.tpd.patch
diff --git a/src/axiom-website/documentation.html b/src/axiom-website/documentation.html
index 0910f56..cb67e4a 100644
--- a/src/axiom-website/documentation.html
+++ b/src/axiom-website/documentation.html
@@ -126,6 +126,39 @@
 <br/><br/>
 <blockquote>
 <b><p>
+I come from a mathematics department and many mathematicians,
+particularly those in pure math, have a strong distrust of computers
+They are really not inclined to accept computer-based proofs,
+although there have been some dramatic examples of those in the last
+two or three decades.
+</p><p>
+In the early 1970s, researchers at IBM developed a symbolic algebra
+system called Scratchpad. This went on inside IBM for many years.
+There were lots of papers written about it. It ultimately got renamed
+to Axiom and was sold by NAG, the Numerical Algorithms Group in
+England, for a few years.  Then it disappeared from the market and
+became unavailable.
+</p><p>
+People worried about this for probably about 5 years but finally NAG
+was able to release it. A major decision has been taken. Axiom is
+being completely reimplemented as a literate program. The reason
+is that software outlives hardware, and often its own authors. The
+author of Scratchpad died about 5 years ago.
+</p><p>
+So they feel the only way that this system can survive and be used by
+future generations is to be written as a literate program so that the
+reason behind the program is embedded there as part of the description
+of the code. I think this is really important and could be really
+quite significant for the future growth of computing and mathematics.
+</p></b>
+</blockquote>
+<a href="http://www.youtube.com/watch?v=D1ckl2jsldc">
+--Nelson Beebe, June 28, 2010
+</a>
+
+<br/><br/>
+<blockquote>
+<b><p>
 The nature of functional programming is to build, Russian doll-style,
 functions that use functions that use functions etc. But without
 something like a literate style, your efforts are quickly lost in the
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index f08eb6f..4e5bf8b 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4346,6 +4346,8 @@ bookvol4 add operationalist details
 book/*.txt email cleanup
 <a href="patches/20140520.01.tpd.patch">20140520.01.tpd.patch</a>
 books/bookvolbib.pamphlet 
+<a href="patches/20140520.02.tpd.patch">20140520.02.tpd.patch</a>
+src/axiom-website/documentation.html
  </body>
 </html>
 
